%global momorel 1

%{!?__python_ver:%define __python_ver EMPTY}
%global unicode ucs4

%if "%{__python_ver}" != "EMPTY"
%global main_python 0
%global python python%{__python_ver}
%global tkintnern tkinter%{__python_ver}
%else
%global main_python 1
%global python python
%global tkinter tkinter
%endif

%global pybasever 2.5
%global tools_dir %{_libdir}/python%{pybasever}/Tools
%global demo_dir %{_libdir}/python%{pybasever}/Demo
%global doc_tools_dir %{_libdir}/python%{pybasever}/Doc/tools

Summary: An interpreted, interactive, object-oriented programming language.
Name: python
Version: 2.5.1
Release: %{momorel}m%{?dist}
License: see "LICENSE"
Group: Development/Languages
URL: http://www.python.org/
Provides: python-abi = %{pybasever}
Provides: python(abi) = %{pybasever}
%NoSource 0 http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.bz2 70084ffa561660f07de466c2c8c4842d

Patch0: python-2.5-config.patch
Patch1: Python-2.2.1-pydocnogui.patch
Patch3: python-2.3.4-pydocnodoc.patch
Patch4: python-2.4.1-canonicalize.patch
Patch5: python-2.5-cflags.patch

# upstreamed

# disable egg-infos for now
Patch50: python-2.5-disable-egginfo.patch

# lib64 patches
Patch101: python-2.3.4-lib64-regex.patch
Patch102: python-2.5-lib64.patch

%if %{main_python}
Obsoletes: Distutils
Provides: Distutils
Obsoletes: python2
Provides: python2 = %{version}
Obsoletes: python-elementtree <= 1.2.6
Obsoletes: python-sqlite < 2.3.2
Provides: python-sqlite = 2.3.2
Obsoletes: python-ctypes < 1.0.1
Provides: python-ctypes = 1.0.1
%endif

Provides: /usr/bin/python
Provides: /usr/bin/python2
Provides: /usr/bin/python2.5

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: readline-devel, openssl-devel, gmp-devel
BuildPrereq: ncurses-devel, gdbm-devel, zlib-devel, expat-devel
BuildPrereq: libGL-devel tk tix gcc-c++ libX11-devel glibc-devel
BuildPrereq: bzip2 tar /usr/bin/find pkgconfig tcl-devel tk-devel
BuildPrereq: tix-devel bzip2-devel sqlite-devel
BuildPrereq: autoconf
BuildPrereq: db4-devel >= 4.3

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that need
a programmable interface. This package contains most of the standard
Python modules, as well as modules for interfacing to the Tix widget
set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.

%package libs
Summary: The libraries for python runtime
Group: Applications/System
Requires: %{python} = %{version}-%{release}

%description libs
The python interpreter can be embedded into applications wanting to
use python as an embedded scripting language.  The python-libs package
provides the libraries needed for this.

%package devel
Summary: The libraries and header files needed for Python development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Conflicts: %{python} < %{version}-%{release}
%if %{main_python}
Obsoletes: python2-devel
Provides: python2-devel = %{version}-%{release}
%endif

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%package tools
Summary: A collection of development tools included with Python.
Group: Development/Tools
Requires: %{name} = %{version}-%{release}
Requires: tkinter = %{version}-%{release}
%if %{main_python}
Obsoletes: python2-tools
Provides: python2-tools = %{version}
%endif

%description tools
The Python package includes several development tools that are used
to build python programs.

%package -n %{tkinter}
Summary: A graphical user interface for the Python scripting language.
Group: Development/Languages
BuildPrereq:  tcl, tk
Requires: %{name} = %{version}-%{release}
%if %{main_python}
Obsoletes: tkinter2
Provides: tkinter2 = %{version}
%endif

%description -n %{tkinter}

The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install the tkinter package if you'd like to use a graphical
user interface for Python programming.

%prep
%setup -q -n Python-%{version}

%patch0 -p1 -b .rhconfig
%patch1 -p1 -b .no_gui
%patch3 -p1 -b .no-doc
%patch4 -p1 -b .canonicalize
%patch5 -p1 -b .cflags

%patch50 -p1 -b .egginfo

%if %{_lib} == lib64
%patch101 -p1 -b .lib64-regex
%patch102 -p1 -b .lib64
%endif

# This shouldn't be necesarry, but is right now (2.2a3)
find -name "*~" |xargs rm -f

# Temporary workaround to avoid confusing find-requires: don't ship the tests
# as executable files
chmod 0644 Lib/test/test_*.py
 
%build
topdir=`pwd`
CFLAGS="%{optflags} -D_GNU_SOURCE -fPIC"
CXXFLAGS="%{optflags} -D_GNU_SOURCE -fPIC"
OPT="%{optflags} -D_GNU_SOURCE -fPIC"
export LINKCC="gcc"
if pkg-config openssl ; then
        export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
        export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
# Force CC
export CC=gcc
# For patch 4, need to get a newer configure generated out of configure.in
autoconf
%configure --enable-ipv6 --enable-unicode=%{unicode} --enable-shared

make OPT="$CFLAGS" %{?_smp_mflags}
LD_LIBRARY_PATH=$topdir $topdir/python Tools/scripts/pathfix.py -i "/usr/bin/env python%{pybasever}" .
# Rebuild with new python
# We need a link to a versioned python in the build directory
ln -s python python%{pybasever}
LD_LIBRARY_PATH=$topdir PATH=$PATH:$topdir make -s OPT="$CFLAGS" %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}
%__mkdir_p %{buildroot}%{_prefix} %{buildroot}%{_mandir}

# Clean up patched .py files that are saved as .lib64
for f in distutils/command/install distutils/sysconfig; do
    rm -f Lib/$f.py.lib64
done

make install DESTDIR=$RPM_BUILD_ROOT
# Fix the interpreter path in binaries installed by distutils
# (which changes them by itself)
# Make sure we preserve the file permissions
for fixed in %{buildroot}/usr/bin/pydoc; do
    sed 's,#!.*/python$,#!/usr/bin/env python%{pybasever},' $fixed > $fixed- \
        && cat $fixed- > $fixed && rm -f $fixed-
done

%if %{main_python}
ln -s python %{buildroot}%{_bindir}/python2
%else
mv %{buildroot}%{_bindir}/python %{buildroot}%{_bindir}/%{python}
mv %{buildroot}%{_mandir}/man1/python.1 %{buildroot}/%{_mandir}/man1/python%{pybasever}.1
%endif

# tools

mkdir -p %{buildroot}%{_libdir}/python%{pybasever}/site-packages

#modulator
cat > ${RPM_BUILD_ROOT}%{_bindir}/modulator << EOF
#!/bin/bash
exec %{_libdir}/python%{pybasever}/site-packages/modulator/modulator.py
EOF
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/modulator
cp -r Tools/modulator \
  ${RPM_BUILD_ROOT}%{_libdir}/python%{pybasever}/site-packages/

#pynche
cat > ${RPM_BUILD_ROOT}%{_bindir}/pynche << EOF
#!/bin/bash
exec %{_libdir}/python%{pybasever}/site-packages/pynche/pynche
EOF
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/pynche
rm -f Tools/pynche/*.pyw
cp -r Tools/pynche \
  %{buildroot}%{_libdir}/python%{pybasever}/site-packages/

mv Tools/modulator/README Tools/modulator/README.modulator
mv Tools/pynche/README Tools/pynche/README.pynche

#gettext
install -m755  Tools/i18n/pygettext.py %{buildroot}%{_bindir}
install -m755  Tools/i18n/msgfmt.py %{buildroot}%{_bindir}

# Useful development tools
install -m755 -d %{buildroot}%{tools_dir}/scripts
install Tools/README %{buildroot}%{tools_dir}/
install Tools/scripts/*py %{buildroot}%{tools_dir}/scripts/

# Documentation tools
install -m755 -d $RPM_BUILD_ROOT%{doc_tools_dir}
install -m755 Doc/tools/mkhowto $RPM_BUILD_ROOT%{doc_tools_dir}

# Useful demo scripts
install -m755 -d %{buildroot}%{demo_dir}
cp -ar Demo/* %{buildroot}%{demo_dir}

# Get rid of crap
find %{buildroot}/ -name "*~"|xargs rm -f
find %{buildroot}/ -name ".cvsignore"|xargs rm -f
find . -name "*~"|xargs rm -f
find . -name ".cvsignore"|xargs rm -f
#zero length
rm -f %{buildroot}%{_libdir}/python%{pybasever}/site-packages/modulator/Templates/copyright

# Clean up the testsuite - we don't need compiled files for it
find %{buildroot}%{_libdir}/python%{pybasever}/test \
    -name "*.pyc" -o -name "*.pyo" | xargs rm -f
rm -f %{buildroot}%{_libdir}/python2.*/LICENSE.txt

#make the binaries install side by side with the main python
%if !%{main_python}
pushd %{buildroot}%{_bindir}
mv idle idle%{__python_ver}
mv modulator modulator%{__python_ver}
mv pynche pynche%{__python_ver}
mv pygettext.py pygettext%{__python_ver}.py
mv msgfmt.py msgfmt%{__python_ver}.py
mv pydoc pydoc%{__python_ver}
popd
%endif

find %{buildroot}%{_libdir}/python%{pybasever}/lib-dynload -type d | sed "s|%{buildroot}|%dir |" > dynfiles
find %{buildroot}%{_libdir}/python%{pybasever}/lib-dynload -type f | grep -v "_tkinter.so$" | sed "s|%{buildroot}||" >> dynfiles
 
# Fix for bug #136654
rm -f $RPM_BUILD_ROOT%{_libdir}/python%{pybasever}/email/test/data/audiotest.au $RPM_BUILD_ROOT%{_libdir}/python%{pybasever}/test/audiotest.au

# Fix bug #143667: python should own /usr/lib/python2.x on 64-bit machines
%if %{_lib} == lib64
install -d %{buildroot}/usr/lib/python%{pybasever}/site-packages
%endif

# Make python-devel multilib-ready (bug #192747, #139911)
%define _pyconfig32_h pyconfig-32.h
%define _pyconfig64_h pyconfig-64.h

%ifarch ppc64 s390x x86_64 ia64
%define _pyconfig_h %{_pyconfig64_h}
%else
%define _pyconfig_h %{_pyconfig32_h}
%endif
mv %{buildroot}%{_includedir}/python%{pybasever}/pyconfig.h \
   %{buildroot}%{_includedir}/python%{pybasever}/%{_pyconfig_h}
cat > %{buildroot}%{_includedir}/python%{pybasever}/pyconfig.h << EOF
#include <bits/wordsize.h>

#if __WORDSIZE == 32
#include "%{_pyconfig32_h}"
#elif __WORDSIZE == 64
#include "%{_pyconfig64_h}"
#else
#error "Unkown word size"
#endif
EOF
ln -s ../../libpython%{pybasever}.so %{buildroot}%{_libdir}/python%{pybasever}/config/libpython%{pybasever}.so

# Fix for bug 201434: make sure distutils looks at the right pyconfig.h file
sed -i -e "s/'pyconfig.h'/'%{_pyconfig_h}'/" %{buildroot}%{_libdir}/python%{pybasever}/distutils/sysconfig.py

# Get rid of egg-info files (core python modules are installed through rpms)
rm %{buildroot}%{_libdir}/python%{pybasever}/*.egg-info

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files -f dynfiles
%defattr(-, root, root)
%doc LICENSE README
%{_bindir}/pydoc*
%{_bindir}/python*
%{_mandir}/*/*

%dir %{_libdir}/python%{pybasever}
%dir %{_libdir}/python%{pybasever}/site-packages
%{_libdir}/python%{pybasever}/site-packages/README
%{_libdir}/python%{pybasever}/*.py*
%{_libdir}/python%{pybasever}/*.doc
%{_libdir}/python%{pybasever}/bsddb
%{_libdir}/python%{pybasever}/compiler
%{_libdir}/python%{pybasever}/ctypes
%{_libdir}/python%{pybasever}/curses
%{_libdir}/python%{pybasever}/distutils
%{_libdir}/python%{pybasever}/email
%{_libdir}/python%{pybasever}/encodings
%{_libdir}/python%{pybasever}/hotshot
%{_libdir}/python%{pybasever}/idlelib
%{_libdir}/python%{pybasever}/logging
%{_libdir}/python%{pybasever}/plat-linux2 
%{_libdir}/python%{pybasever}/sqlite3
%{_libdir}/python%{pybasever}/wsgiref
%{_libdir}/python%{pybasever}/xml
%if %{_lib} == lib64
%attr(0755,root,root) %dir /usr/lib/python%{pybasever}
%attr(0755,root,root) %dir /usr/lib/python%{pybasever}/site-packages
%endif

%files libs
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/libpython%{pybasever}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%dir %{_libdir}/python%{pybasever}/config
%{_libdir}/python%{pybasever}/config/*
%{_libdir}/python%{pybasever}/test
%{_libdir}/libpython%{pybasever}.so

%files tools
%defattr(-,root,root,755)
%doc Tools/modulator/README.modulator
%doc Tools/pynche/README.pynche
%{_libdir}/python%{pybasever}/site-packages/modulator
%{_libdir}/python%{pybasever}/site-packages/pynche
%{_bindir}/smtpd*.py
%{_bindir}/idle*
%{_bindir}/modulator*
%{_bindir}/pynche*
%{_bindir}/pygettext*.py
%{_bindir}/msgfmt.py
%{tools_dir}
%{demo_dir}
%{_libdir}/python%{pybasever}/Doc

%files -n %{tkinter}
%defattr(-,root,root,755)
%{_libdir}/python%{pybasever}/lib-tk
%{_libdir}/python%{pybasever}/lib-dynload/_tkinter.so

%changelog
* Mon Jun  4 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.5.1-1m)
- [SECURITY] CVE-2007-2052
- update 2.5.1
- remove Patch2 python-2.5-distutils-bdist-rpm.patch
-        Patch6 python-db45.patch
-        Patch7 python-ctypes-execstack.patch
-        Patch25 python-syslog-fail-noatexittb.patch
-        Patch26 python-2.5-fix-invalid-assert.patch

* Sun Apr  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.5-12m)
- remove Obsoletes: python-docs, it's now available

* Sun Apr  8 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5-11m)
- sync fc 2.5.3-11

* Sun Mar  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.5-10m)
- revival pyc pyo

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.5-9m)
- revised python-2.5-lib64.patch

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.5-8m)
- delete pyc pyo

* Tue Jan 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-7m)
- clean up spec
- update 2.5-r53494

* Mon Jan 01 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (2.5-6m)
- add python-2.5-gdbm_compat.patch

* Wed Dec 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.5-5m)
- fix wrong python path in /usr/bin/python2.5-config
- fix %%install to make "-ba --short-circuit=%install" option work

* Wed Dec 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-4m)
- add python-2.5-fix-invalid-assert.patch

* Mon Dec 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-3m)
- remove JapaneseCodecs

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-2m)
- build fix lib64 arch

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-1m)
- update 2.5

* Wed Dec 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.4-1m)
- update 2.4.4

* Tue Nov 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.3-3m)
- modify %%files to avoid conflicting

* Fri Nov 17 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.3-2m)
- Patch16: python-2.4.3-db45.patch
- rebuild against db-4.5

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-11m)
- rebuild against readline-5.0

* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-10m)
- delete duplicated file

* Sun Jun  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-9m)
- Provide python-abi = %{basever}

* Mon May 22 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-8m)
- roll back 2.4.2


* Thu May  4 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.3-1m)

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-7m)
- rebuild against openssl-0.9.8a

* Sun Mar 26 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.2-6m)
- rebuild against tix-8.4.0

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-5m)
- revise for xorg-7.0
- FIX ME!: commnt out Mesa-devel 

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-4m)
- rebuild against db4.3

* Tue Nov 1 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.2-3m)
- change Provides: python-abi = %{pybasever} 
              to Provides: python(abi) = %{pybasever}

* Sun Oct 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-2m)
- remake japanese-codecs-lib64.patch

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Wed Oct 19 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Sun Jun 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.5-1m)
- update to 2.3.5
- add gcc4 patch

* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (2.3.4-4m)
- rebuild against libtermcap and ncurses

* Wed Dec  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.4-3m)
- Provides: /usr/bin/python2

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.4-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.4-1m)
- version up
- import patch from FC

* Tue Jun 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2.3-11m)
- modify Patch0 for db-4.2

* Mon Jun 28 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2.3-10m)
- rebuild against tcl, tk
- modify BuildPrereq: for tkinter

* Tue Jun  1 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.3-8m)
- modify BuildPrereq: tcl, tk

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-7m)
- rebuild against ncurses 5.3.

* Sun Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-6m)
- applied gdbm_compat patch.

* Sat Apr  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.3-6m)
- modified spec (duplicate file)
- import patch from FC1
- disable html document

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-5m)
- revised spec for rpm 4.2.

* Fri Jan 23 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.3-4m)
- add some missing modules (%{pylibdir}/{test,email,compiler,hotshot})

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.3-3m)
- accept gdbm-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.3-2m)
- rebuild against gdbm

* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.2.3-1m)
- update to 2.2.3 (which is bugfix release of 2.2)

* Fri Oct 31 2003 zunda <zunda at freeshell.org>
- (2.2-21m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2-20m)
- pretty spec file.

* Mon Apr 14 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2-20m)
- fix niwatama (pathfix.py).

* Fri Mar  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2-19m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2-18m)
- rebuild against for gdbm

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2-17m)
  rebuild against libgdbm

* Sun Jun  2 2002 OZAWA -Crouton- Sakuro <crouton@weatherlight.org>
- (2.2-16k)
- Removed /usr/lib/python%{version}/lib-tk from python's %files,
  because tkinter owns it.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.2-14k)
- add Provides: /usr/bin/python

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (2.2-12k)
- why exclude alpha?

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.2-10k)
- tcltk 8.0.5 for sketch

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (2.2-8k)
- rename python2 to python

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 2.2-7
- Use version and pybasever macros to make updating easy
- Use _smp_mflags macro

* Tue Jan 29 2002 Trond Eivind Glomsr?<teg@redhat.com> 2.2-6
- Add db4-devel to BuildPrereq

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 2.2-5
- disable ndbm support, which is db2 in disguise (really interesting things
  can happen when you mix db2 and db4 in a single application)

* Thu Jan 24 2002 Trond Eivind Glomsr?<teg@redhat.com> 2.2-4
- Obsolete subpackages if necesarry 
- provide versioned python2
- build with db4

* Wed Jan 16 2002 Trond Eivind Glomsr?<teg@redhat.com> 2.2-3
- Alpha toolchain broken. Disable build on alpha.
- New openssl

* Wed Dec 26 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-1
- 2.2 final

* Fri Dec 14 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.11c1
- 2.2 RC 1
- Don't include the _tkinter module in the main package - it's 
  already in the tkiter packace
- Turn off the mpzmodule, something broke in the buildroot

* Wed Nov 28 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.10b2
- Use -fPIC for OPT as well, in lack of a proper libpython.so

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.9b2
- changed DESTDIR to point to / so that distutils will install dynload
  modules properly in the installroot

* Fri Nov 16 2001 Matt Wilson <msw@redhat.com> 2.2-0.8b2
- 2.2b2

* Fri Oct 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.7b1
- python2ify

* Fri Oct 19 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.5b1
- 2.2b1

* Sun Sep 30 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.4a4
- 2.2a4
- Enable UCS4 support
- Enable IPv6
- Provide distutils
- Include msgfmt.py and pygettext.py

* Fri Sep 14 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.3a3
- Obsolete Distutils, which is now part of the main package
- Obsolete python2

* Thu Sep 13 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.2a3
- Add docs, tools and tkinter subpackages, to match the 1.5 layout

* Wed Sep 12 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.1a3
- 2.2a3
- don't build tix and blt extensions

* Mon Aug 13 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add tk and tix to build dependencies

* Sat Jul 21 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.1 bugfix release - with a GPL compatible license

* Fri Jul 20 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add new build dependencies (#49753)

* Tue Jun 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- build with -fPIC

* Fri Jun  1 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1
- reorganization of file includes

* Wed Dec 20 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. Ls)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.
